/*
 * WARNING: Generated code. All changes will be lost upon re-generation.
 *
 * Generator org.jdtaus.mojo.resource.util.BundleGenerator 3.3
 * Template META-INF/templates/Bundle.java.vm
 * Generated 2012-03-31T08:11:30.281+0200
 */
package org.jdtaus.core.container.mojo;

import java.util.Locale;
import java.util.ResourceBundle;
import java.text.MessageFormat;

/**
 * Accessor methods for the <code>"org/jdtaus/core/container/mojo/VerifyModelMojoBundle"</code>
 * <code>ResourceBundle</code>.
 */
class VerifyModelMojoBundle
{

  /** Singleton instance. */
  private static final VerifyModelMojoBundle instance =
    new VerifyModelMojoBundle();

  /** Creates a new <code>VerifyModelMojoBundle</code> instance. */
  VerifyModelMojoBundle()
  {
    this.getMessage ( "classNotFound", Locale.getDefault() );
    this.getMessage ( "missingImplementedSpecification", Locale.getDefault() );
    this.getMessage ( "missingInterface", Locale.getDefault() );
    this.getMessage ( "modelViolations", Locale.getDefault() );
    this.getMessage ( "unresolvedDependencies", Locale.getDefault() );
    this.getMessage ( "unresolvedDependency", Locale.getDefault() );
    this.getMessage ( "validModel", Locale.getDefault() );
    this.getMessage ( "uncommitted", Locale.getDefault() );
    this.getMessage ( "missingCommittedDependency", Locale.getDefault() );
    this.getMessage ( "illegalSpecification", Locale.getDefault() );
    this.getMessage ( "missingCommittedProperty", Locale.getDefault() );
    this.getMessage ( "illegalProperty", Locale.getDefault() );
    this.getMessage ( "missingCommittedMessage", Locale.getDefault() );
    this.getMessage ( "illegalMultiplicity", Locale.getDefault() );
  }

  /**
   * Gets the <code>VerifyModelMojoBundle</code> singleton.
   *
   * @return The <code>VerifyModelMojoBundle</code> singleton.
   */
  static VerifyModelMojoBundle getInstance()
  {
    return instance;
  }

  /**
   * Gets the text of the message with key {@code "classNotFound"}.
   *
   * @return <blockquote><pre>Cannot load class {0}.</pre></blockquote>
   * <blockquote><pre>Kann Klasse {0} nicht laden.</pre></blockquote>
   * 
   */
  String getClassNotFoundMessage
  (
      Locale locale
    , final java.lang.String className
  )
  {
    if ( locale == null )
    {
      locale = Locale.getDefault();
    }

    return new MessageFormat( this.getMessage(
        "classNotFound", locale ), locale ).format(
        new Object[]
        {
            className,
            null
        } );

  }
  /**
   * Gets the text of the message with key {@code "missingImplementedSpecification"}.
   *
   * @return <blockquote><pre>Implementation {0} implements {1} but does not define it as an implemented specification.</pre></blockquote>
   * <blockquote><pre>Implementierung {0} implementiert {1} ohne entsprechenden Modell-Eintrag.</pre></blockquote>
   * 
   */
  String getMissingImplementedSpecificationMessage
  (
      Locale locale
    , final java.lang.String implementationIdentifier
    , final java.lang.String specificationIdentifier
  )
  {
    if ( locale == null )
    {
      locale = Locale.getDefault();
    }

    return new MessageFormat( this.getMessage(
        "missingImplementedSpecification", locale ), locale ).format(
        new Object[]
        {
            implementationIdentifier,
            specificationIdentifier,
            null
        } );

  }
  /**
   * Gets the text of the message with key {@code "missingInterface"}.
   *
   * @return <blockquote><pre>Implementation {0} does not implement specification {1} as defined in the model.</pre></blockquote>
   * <blockquote><pre>Implementierung {0} implementiert Spezifikation {1} nicht, obwohl im Modell angegeben.</pre></blockquote>
   * 
   */
  String getMissingInterfaceMessage
  (
      Locale locale
    , final java.lang.String implementationIdentifier
    , final java.lang.String specificationIdentifier
  )
  {
    if ( locale == null )
    {
      locale = Locale.getDefault();
    }

    return new MessageFormat( this.getMessage(
        "missingInterface", locale ), locale ).format(
        new Object[]
        {
            implementationIdentifier,
            specificationIdentifier,
            null
        } );

  }
  /**
   * Gets the text of the message with key {@code "modelViolations"}.
   *
   * @return <blockquote><pre>Invalid model.</pre></blockquote>
   * <blockquote><pre>Ungültiges Modell.</pre></blockquote>
   * 
   */
  String getModelViolationsMessage
  (
    final Locale locale
  )
  {
    return this.getMessage( "modelViolations", locale );
  }
  /**
   * Gets the text of the message with key {@code "unresolvedDependencies"}.
   *
   * @return <blockquote><pre>Model has unresolved dependencies.</pre></blockquote>
   * <blockquote><pre>Modell enthält nicht aufgelöste Abhängigkeiten.</pre></blockquote>
   * 
   */
  String getUnresolvedDependenciesMessage
  (
    final Locale locale
  )
  {
    return this.getMessage( "unresolvedDependencies", locale );
  }
  /**
   * Gets the text of the message with key {@code "unresolvedDependency"}.
   *
   * @return <blockquote><pre>* {0}<{1}> {2}</pre></blockquote>
   * <blockquote><pre>* {0}<{1}> {2}</pre></blockquote>
   * 
   */
  String getUnresolvedDependencyMessage
  (
      Locale locale
    , final java.lang.String specificationIdentifier
    , final java.lang.String moduleName
    , final java.lang.String version
  )
  {
    if ( locale == null )
    {
      locale = Locale.getDefault();
    }

    return new MessageFormat( this.getMessage(
        "unresolvedDependency", locale ), locale ).format(
        new Object[]
        {
            specificationIdentifier,
            moduleName,
            version,
            null
        } );

  }
  /**
   * Gets the text of the message with key {@code "validModel"}.
   *
   * @return <blockquote><pre>Model processed successfully.</pre></blockquote>
   * <blockquote><pre>Modell erfolgreich verarbeitet.</pre></blockquote>
   * 
   */
  String getValidModelMessage
  (
    final Locale locale
  )
  {
    return this.getMessage( "validModel", locale );
  }
  /**
   * Gets the text of the message with key {@code "uncommitted"}.
   *
   * @return <blockquote><pre>Cannot verify class {0}. No metadata committed.</pre></blockquote>
   * <blockquote><pre>{0} kann nicht geprüft werden. Keine fixierten Metadaten vorhanden.</pre></blockquote>
   * 
   */
  String getUncommittedMessage
  (
      Locale locale
    , final java.lang.String implementationIdentifier
  )
  {
    if ( locale == null )
    {
      locale = Locale.getDefault();
    }

    return new MessageFormat( this.getMessage(
        "uncommitted", locale ), locale ).format(
        new Object[]
        {
            implementationIdentifier,
            null
        } );

  }
  /**
   * Gets the text of the message with key {@code "missingCommittedDependency"}.
   *
   * @return <blockquote><pre>Dependency {0} missing for implementation {1}.</pre></blockquote>
   * <blockquote><pre>{0} Abhängigkeit der Implementierung {1} fehlt.</pre></blockquote>
   * 
   */
  String getMissingCommittedDependencyMessage
  (
      Locale locale
    , final java.lang.String dependencyName
    , final java.lang.String implementationIdentifier
  )
  {
    if ( locale == null )
    {
      locale = Locale.getDefault();
    }

    return new MessageFormat( this.getMessage(
        "missingCommittedDependency", locale ), locale ).format(
        new Object[]
        {
            dependencyName,
            implementationIdentifier,
            null
        } );

  }
  /**
   * Gets the text of the message with key {@code "illegalSpecification"}.
   *
   * @return <blockquote><pre>Dependency {0} of implementation {1} has incompatible specification {2}. Expected {3}.</pre></blockquote>
   * <blockquote><pre>Inkompatible {0} Spezifikation {2} von Implementierung {1}. Erwartet {3}.</pre></blockquote>
   * 
   */
  String getIllegalSpecificationMessage
  (
      Locale locale
    , final java.lang.String dependencyName
    , final java.lang.String implementationIdentifier
    , final java.lang.String specificationIdentifier
    , final java.lang.String expectedIdentifier
  )
  {
    if ( locale == null )
    {
      locale = Locale.getDefault();
    }

    return new MessageFormat( this.getMessage(
        "illegalSpecification", locale ), locale ).format(
        new Object[]
        {
            dependencyName,
            implementationIdentifier,
            specificationIdentifier,
            expectedIdentifier,
            null
        } );

  }
  /**
   * Gets the text of the message with key {@code "missingCommittedProperty"}.
   *
   * @return <blockquote><pre>Property {0} missing for implementation {1}.</pre></blockquote>
   * <blockquote><pre>{0} Eigenschaft der Implementierung {1} fehlt.</pre></blockquote>
   * 
   */
  String getMissingCommittedPropertyMessage
  (
      Locale locale
    , final java.lang.String propertyName
    , final java.lang.String implementationIdentifier
  )
  {
    if ( locale == null )
    {
      locale = Locale.getDefault();
    }

    return new MessageFormat( this.getMessage(
        "missingCommittedProperty", locale ), locale ).format(
        new Object[]
        {
            propertyName,
            implementationIdentifier,
            null
        } );

  }
  /**
   * Gets the text of the message with key {@code "illegalProperty"}.
   *
   * @return <blockquote><pre>Property {0} of implementation {1} has incorrect type {2}. Expected {3}.</pre></blockquote>
   * <blockquote><pre>Ungültiger Typ {2} der {0} Eigenschaft von Implementierung {1}. Erwartet {3}.</pre></blockquote>
   * 
   */
  String getIllegalPropertyMessage
  (
      Locale locale
    , final java.lang.String propertyName
    , final java.lang.String implementationIdentifier
    , final java.lang.String propertyType
    , final java.lang.String expectedType
  )
  {
    if ( locale == null )
    {
      locale = Locale.getDefault();
    }

    return new MessageFormat( this.getMessage(
        "illegalProperty", locale ), locale ).format(
        new Object[]
        {
            propertyName,
            implementationIdentifier,
            propertyType,
            expectedType,
            null
        } );

  }
  /**
   * Gets the text of the message with key {@code "missingCommittedMessage"}.
   *
   * @return <blockquote><pre>Message {0} missing for implementation {1}.</pre></blockquote>
   * <blockquote><pre>{0} Meldung der Implementierung {1} fehlt.</pre></blockquote>
   * 
   */
  String getMissingCommittedMessageMessage
  (
      Locale locale
    , final java.lang.String messageName
    , final java.lang.String implementationIdentifier
  )
  {
    if ( locale == null )
    {
      locale = Locale.getDefault();
    }

    return new MessageFormat( this.getMessage(
        "missingCommittedMessage", locale ), locale ).format(
        new Object[]
        {
            messageName,
            implementationIdentifier,
            null
        } );

  }
  /**
   * Gets the text of the message with key {@code "illegalMultiplicity"}.
   *
   * @return <blockquote><pre>Specification {0} has incorrect multiplicity {1}. Expected {2}.</pre></blockquote>
   * <blockquote><pre>Ungültige Kardinalität {1} der Spezifikation {0}. Erwartet {2}.</pre></blockquote>
   * 
   */
  String getIllegalMultiplicityMessage
  (
      Locale locale
    , final java.lang.String specificationIdentifier
    , final java.lang.String multiplicity
    , final java.lang.String expectedMultiplicity
  )
  {
    if ( locale == null )
    {
      locale = Locale.getDefault();
    }

    return new MessageFormat( this.getMessage(
        "illegalMultiplicity", locale ), locale ).format(
        new Object[]
        {
            specificationIdentifier,
            multiplicity,
            expectedMultiplicity,
            null
        } );

  }

  /**
   * Gets a message for a given key and locale.
   *
   * @param key The key of the message to return.
   * @param locale The locale of the message.
   *
   * @return Message for {@code key} using {@code locale}.
   */
  private String getMessage( final String key, Locale locale )
  {
    if ( locale == null )
    {
      locale = Locale.getDefault();
    }

    return ResourceBundle.getBundle(
        "org/jdtaus/core/container/mojo/VerifyModelMojoBundle", locale ).
        getString( key );

  }
}
